package com.cf.imes.module.executor.enums;

import com.cf.imes.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum OrderItemTypeEnum implements IntArrayValuable {

    PLATE_ITEM(1, "板材明细"),
    PARTS_ITEM(2, "配件明细"),
    OTHER_ITEM(2, "其他明细");

    private final Integer status;
    private String description;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(OrderItemTypeEnum::getStatus).toArray();

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
